package org.daligo.app;

import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;

import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;

import org.daligo.domain.PathOverlay;
import org.daligo.type.DaligoPath;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;

import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.util.Log;

import com.google.android.maps.MapActivity;
import com.google.android.maps.MapController;
import com.google.android.maps.MapView;

public class CenterCourse extends MapActivity {

	private String courseName;
	private MapController mc;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		// TODO Auto-generated method stub
		super.onCreate(savedInstanceState);
		setContentView(R.layout.center_course);
		
		DaligoPath myPath = new DaligoPath();
		MapView googleMap = (MapView) findViewById(R.id.course_map);
		
		// 선택된 코스명을 가져온다
		Intent i = getIntent();
		courseName = i.getStringExtra("courseName");

		try {
			// 지정된 주소로부터 xml 파일을 받아온다
			URL url = new URL("http://daligo.kuls.net/courses.xml");

			// xml을 파싱해 path 정보를 가져온다
			SAXParserFactory parserModel = SAXParserFactory.newInstance();
			SAXParser concreteParser = parserModel.newSAXParser();
			XMLReader myReader = concreteParser.getXMLReader();
			CoursePathParser path = new CoursePathParser(courseName);

			myReader.setContentHandler(path);
			myReader.parse(new InputSource(url.openStream()));

			Log.i("TRACE", "Success");
			
			// 가져온 정보를 DaligoPath instance에 저장
			myPath = path.getDaligoPath();
		} catch (MalformedURLException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (ParserConfigurationException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (SAXException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		// 가져온 path를 MapView에 뿌린다
		googleMap.setSatellite(false);	
		mc = googleMap.getController();
		mc.setZoom(17);
		mc.animateTo(myPath.get(0));

		PathOverlay pathOverlay = new PathOverlay(googleMap, myPath, Color.RED);
		googleMap.getOverlays().add(pathOverlay);
	}

	@Override
	protected boolean isRouteDisplayed() {
		// TODO Auto-generated method stub
		return false;
	}
}
