package org.daligo.app;

import android.content.Intent;
import android.os.Bundle;

public class GoDistanceActivity extends GoBasicActivity {

	private int dist;

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		Intent i = getIntent();
		dist = i.getIntExtra("distance", 0);

		super.onCreate(savedInstanceState);
	}

	@Override
	protected void updateText() {
		int distance = status.getDistance();

		if (distance < dist)
			distance = dist - distance;

		if (distance >= 1000) {
			distanceText.setText(f.format((double) distance / 1000.0) + " km");
		} else {
			distanceText.setText(distance + " m");
		}

		int elapsed = status.getElapsed();
		int hours = elapsed / 3600;
		int minutes = (elapsed % 3600) / 60;
		int seconds = elapsed % 60;

		if (hours == 0) {
			elapsedText.setText(minutes + " m " + seconds + " s");
		} else {
			elapsedText
					.setText(hours + "h " + minutes + " m " + seconds + " s");
		}

		speedText.setText(f.format(status.getSpeed()) + " m/s");
		caloriesText.setText(f.format(status.getCalories()) + " Kcal");
	}
}
