package org.daligo.app;

import org.daligo.adapter.MenuListAdapter;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.ListView;

public class GoDistanceSelectActivity extends Activity {
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.go_distance_select_activity);

		ListView lv = (ListView) findViewById(R.id.distance_select_list);

		String[] menuStrings = getResources().getStringArray(
				R.array.menu_go_distance);
		MenuListAdapter adapter = new MenuListAdapter(menuStrings, this);
		lv.setAdapter(adapter);

		lv.setOnItemClickListener(new AdapterView.OnItemClickListener() {
			@Override
			public void onItemClick(AdapterView<?> parent, View view,
					int position, long id) {
				switch (position) {
				case 0:
					Intent intent1 = new Intent(GoDistanceSelectActivity.this,
							GoDistanceActivity.class);
					intent1.putExtra("distance", 1000);
					startActivity(intent1);
					break;
				case 1:
					Intent intent2 = new Intent(GoDistanceSelectActivity.this,
							GoDistanceActivity.class);
					intent2.putExtra("distance", 3000);
					startActivity(intent2);
					break;
				case 2:
					Intent intent3 = new Intent(GoDistanceSelectActivity.this,
							GoDistanceActivity.class);
					intent3.putExtra("distance", 5000);
					startActivity(intent3);
					break;
				case 3:
					Intent intent4 = new Intent(GoDistanceSelectActivity.this,
							GoDistanceActivity.class);
					intent4.putExtra("distance", 10000);
					startActivity(intent4);
					break;
				case 4:
					Intent intent5 = new Intent(GoDistanceSelectActivity.this,
							CustomDistanceSelect.class);
					startActivity(intent5);
				default:
					break;
				}
			}
		});

		Button backButton = (Button) findViewById(R.id.back_button);
		backButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				finish();
			}
		});
	}
}
