package org.daligo.app;

import org.daligo.adapter.MenuListAdapter;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.ListView;

public class GoTimeSelectActivity extends Activity {
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.go_time_select_activity);

		String[] menuStrings = getResources().getStringArray(
				R.array.menu_go_time);

		ListView lv = (ListView) findViewById(R.id.time_select_list);

		MenuListAdapter menuAdapter = new MenuListAdapter(menuStrings, this);

		lv.setAdapter(menuAdapter);

		lv.setOnItemClickListener(new AdapterView.OnItemClickListener() {
			@Override
			public void onItemClick(AdapterView<?> parent, View view,
					int position, long id) {
				switch (position) {
					case 0:
						Intent intent1 = new Intent(GoTimeSelectActivity.this,
								GoTimeActivity.class);
						intent1.putExtra("time", 600);
						startActivity(intent1);
						break;
					case 1:
						Intent intent2 = new Intent(GoTimeSelectActivity.this,
								GoTimeActivity.class);
						intent2.putExtra("time", 1800);
						startActivity(intent2);
						break;
					case 2:
						Intent intent3 = new Intent(GoTimeSelectActivity.this,
								GoTimeActivity.class);
						intent3.putExtra("time", 3600);
						startActivity(intent3);
						break;
					case 3:
						Intent intent4 = new Intent(GoTimeSelectActivity.this,
								CustomTimeSelect.class);
						startActivity(intent4);
						break;
					default:
						break;
				}
			}
		});

		Button backButton = (Button) findViewById(R.id.back_button);
		backButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				finish();
			}
		});
	}
}
