package org.daligo.app;

import org.daligo.domain.ProfileDBAdapter;
import org.daligo.type.UserProfile;

import android.app.Activity;
import android.database.Cursor;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Spinner;
import android.widget.Toast;

public class PreferenceProfileActivity extends Activity {

	ProfileDBAdapter profileDBAdapter;
	Cursor profileCursor;
	EditText name, age, height, weight;
	Spinner gender;

	UserProfile profile = new UserProfile();

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.user_profile_form_activity);
		profileDBAdapter = new ProfileDBAdapter(this);
		profileDBAdapter.open();

		name = (EditText) findViewById(R.id.EditTextName);
		age = (EditText) findViewById(R.id.EditTextAge);
		gender = (Spinner) findViewById(R.id.SpinnerGender);
		height = (EditText) findViewById(R.id.EditTextHeight);
		weight = (EditText) findViewById(R.id.EditTextWeight);

		populateSpinners();
		populateProfile();

		Button saveButton = (Button) findViewById(R.id.save_button);
		saveButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				// TODO Auto-generated method stub
				updateProfile();
			}
		});
		Button backButton = (Button) findViewById(R.id.back_button);
		backButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				finish();
			}
		});
	}

	protected void updateProfile() {
		// TODO Auto-generated method stub
		// This method can update profile database.

		EditText name = (EditText) findViewById(R.id.EditTextName);
		EditText age = (EditText) findViewById(R.id.EditTextAge);
		Spinner gender = (Spinner) findViewById(R.id.SpinnerGender);
		EditText height = (EditText) findViewById(R.id.EditTextHeight);
		EditText weight = (EditText) findViewById(R.id.EditTextWeight);

		String _name = name.getText().toString();
		Integer _gender = gender.getSelectedItemPosition();

		// Check value is a number or string
		// if value isn't a number then show an error message.
		try {
			Integer _age = Integer.parseInt(age.getText().toString());
			Integer _weight = Integer.parseInt(weight.getText().toString());
			Integer _height = Integer.parseInt(height.getText().toString());

			UserProfile profile;
			profile = new UserProfile(_name, _age, _gender, _height, _weight);

			if (profileCursor.moveToFirst()) { // if entry is exist,
				long _id = profileCursor.getLong(ProfileDBAdapter.ID_COLUMN);
				// update!
				profileDBAdapter.updateProfile(_id, profile);
			} else { // if there are no entry,
				// create!
				profileDBAdapter.insertProfile(profile);
			}

			Toast.makeText(PreferenceProfileActivity.this, "Saved",
					Toast.LENGTH_SHORT).show();
			finish();

		} catch (NumberFormatException ex) {
			Toast.makeText(PreferenceProfileActivity.this,
					"You must input number", Toast.LENGTH_SHORT).show();
		}
	}

	private void populateSpinners() {
		// TODO Auto-generated method stub
		ArrayAdapter<CharSequence> adapter;
		adapter = ArrayAdapter.createFromResource(this, R.array.gender_options,
				android.R.layout.simple_spinner_item);
		adapter
				.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
		gender.setAdapter(adapter);
	}

	private void populateProfile() {
		// TODO Auto-generated method stub
		profileCursor = profileDBAdapter.getAllProfileCursor();
		startManagingCursor(profileCursor);
		// 배열을 업데이트 한다.
		displayProfile();
	}

	private void displayProfile() {
		// TODO Auto-generated method stub
		// profileCursor.requery();

		String _name = "";
		Integer _age = 0;
		Integer _gender = 0;
		Integer _weight = 0;
		Integer _height = 0;

		// 디비의 값을 화면에 출력하도록 값을 셋팅한다.

		if (profileCursor.moveToFirst()) {
			_name = profileCursor.getString(ProfileDBAdapter.NAME_COLUMN);
			_age = profileCursor.getInt(ProfileDBAdapter.AGE_COLUMN);
			_gender = profileCursor.getInt(ProfileDBAdapter.GENDER_COLUMN);
			_height = profileCursor.getInt(ProfileDBAdapter.HEIGHT_COLUMN);
			_weight = profileCursor.getInt(ProfileDBAdapter.WEIGHT_COLUMN);

			EditText name = (EditText) findViewById(R.id.EditTextName);
			EditText age = (EditText) findViewById(R.id.EditTextAge);
			Spinner gender = (Spinner) findViewById(R.id.SpinnerGender);
			EditText height = (EditText) findViewById(R.id.EditTextHeight);
			EditText weight = (EditText) findViewById(R.id.EditTextWeight);

			name.setText(_name);
			age.setText(_age.toString());
			height.setText(_height.toString());
			weight.setText(_weight.toString());
			gender.setSelection(_gender);
		}
	}
}
