package org.daligo.app;

import org.daligo.adapter.MenuListAdapter;

import android.app.Activity;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.ListView;
import android.widget.Toast;

public class PreferenceUnitActivity extends Activity {
	
	// share preference
	public static final String MYPREFS = "mySharedPreferences";
	
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.preference_unit_activity);

		ListView lv = (ListView) findViewById(R.id.preference_unit_menu_list_view);
		String[] menuStrings = getResources().getStringArray(
				R.array.menu_preference_unit);
		MenuListAdapter adapter = new MenuListAdapter(menuStrings, this);
		lv.setAdapter(adapter);

		lv.setOnItemClickListener(new AdapterView.OnItemClickListener() {
			
			int mode=Activity.MODE_PRIVATE;
			SharedPreferences mySharedPreferences = getSharedPreferences(MYPREFS,mode);
			SharedPreferences.Editor editor = mySharedPreferences.edit();
			
			@Override
			public void onItemClick(AdapterView<?> parent, View view,
					int position, long id) {
				switch (position) {
				case 0:
					Toast.makeText(PreferenceUnitActivity.this, "Meter",
							Toast.LENGTH_SHORT).show();
					// save preference
					editor.putInt("Unit", 1);
					editor.commit();
					break;
				case 1:
					Toast.makeText(PreferenceUnitActivity.this, "Kilometer",
							Toast.LENGTH_SHORT).show();
					editor.putInt("Unit", 2);
					editor.commit();
					break;
				case 2:
					Toast.makeText(PreferenceUnitActivity.this, "Mile",
							Toast.LENGTH_SHORT).show();
					editor.putInt("Unit", 3);
					editor.commit();
					break;
				}
			}
		});

		Button backButton = (Button) findViewById(R.id.back_button);
		backButton.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				finish();
			}
		});
	}
}