package org.daligo.domain;

import org.daligo.type.DaligoPath;

import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Point;
import android.graphics.Paint.Cap;

import com.google.android.maps.MapView;
import com.google.android.maps.Overlay;

public class PathOverlay extends Overlay {
	private Paint line;
	private Point p1, p2;
	private MapView mapView;
	private DaligoPath myPath;

	public PathOverlay(MapView mapView, DaligoPath myPath, int color) {
		line = new Paint(Paint.ANTI_ALIAS_FLAG);
		p1 = new Point();
		p2 = new Point();
		
		// set attributes of line (color, anti aliasing, dither, width)
		line.setColor(color);
		line.setStrokeWidth(3.0f);
		line.setStrokeCap(Cap.ROUND);
		
		this.mapView = mapView;
		this.myPath = myPath;
	}

	@Override
	public void draw(Canvas canvas, MapView mapView, boolean shadow) {
		// TODO Auto-generated method stub
		super.draw(canvas, mapView, shadow);

		if (myPath.size() > 1) {
			for (int i = 0; i < myPath.size() - 1; i++) {

				this.mapView.getProjection().toPixels(myPath.get(i), p1);
				this.mapView.getProjection().toPixels(myPath.get(i + 1), p2);

				canvas.drawLine(p1.x, p1.y, p2.x, p2.y, line);
			}
		}
	}
}
