package org.daligo.type;

public class Status {
	private final double CONTANT = 9.24;

	private int _weight;
	private int _distance;
	private int _elapsed;
	private double _speed;
	private double _calories;

	public Status(int weight) {
		_distance = 0;
		_elapsed = 0;
		_speed = 0.0;
		_calories = 0.0;
		_weight = weight;
	}

	public int getDistance() {
		return _distance;
	}

	public int getElapsed() {
		return _elapsed;
	}

	public double getSpeed() {
		return _speed;
	}

	public double getCalories() {
		return _calories;
	}

	public void tick() {
		_elapsed++;
	}

	public void update() {
		update(0);
	}

	public void update(int distance) {
		_distance += distance;
		_speed = (_elapsed == 0 ? 0 : (double) _distance / (double) _elapsed);
		_calories = _weight * CONTANT * (double) _distance / 4000.0;
	}
}
